View Issue Details

IDProjectCategoryView StatusLast Update
0001709FreeCADFeaturepublic2015-02-10 13:50
Reportertriplus Assigned Toyorik  
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionwon't fix 
PlatformLinuxOSUbuntuOS Version14.04
Fixed in Version0.15 
Summary0001709: Spreadsheet PropertyController support Placement
DescriptionSpreadsheet already offers powerful capabilities to control (with simple or complex math relations) anything from single sketch object datum constraint, Polar Pattern property for number of Occurrences to other available individual feature properties.

I was wondering if Spreadsheet PropertyController can/could control individual object placement parameters: Angle, Axis X, Axis Y, Axis Z, Position X, Position Y, Position Z. Standard name like Angle, Ax, Ay, Az, Px, Py, Pz could be used to define Target Property by the end user!

Each object has this properties available in property editor and being able to control them from spreadsheet would provide the tool to build (parametric) relations between objects in 3D space. Assembly Workbench in the future will for sure provide tools to achieve this but i do see benefits for having this capability available in spreadsheet for being able to define (parametric) relations beyond capabilities of future Assembly Workbench.

Being able to control object placement parameters from spreadsheet would for example allow me to create relation controlling distance between individual ribs in relation to other user set parameters in attached wing.fcstd example.
Additional InformationRelated bug reports:

http://www.freecadweb.org/tracker/view.php?id=800
http://www.freecadweb.org/tracker/view.php?id=1703

TagsNo tags attached.
FreeCAD Information

Activities

triplus

2014-08-24 20:53

developer  

wing.jpg (Attachment missing)

triplus

2014-08-24 20:55

developer  

wing.fcstd (Attachment missing)

yorik

2014-08-24 23:00

administrator   ~0005005

Last edited: 2014-08-24 23:01

View 2 revisions

Have you tried to set the target property to Placement.Base.x (or any other)? Normally that should work...

triplus

2014-08-25 02:19

developer   ~0005006

Wow. Truly remarkable and powerful features we have gain with Spreadsheet Workbench. Yes indeed setting Target Property to:

Placement.Base.x does set Position X
Placement.Base.y does set Position Y
Placement.Base.z does set Position Z

I played a bit with other properties:

Placement.Rotation.Angle trying to set the Angle
Placement.Rotation.Axis.x trying to set Axis X
Placement.Rotation.Axis.y trying to set Axis Y
Placement.Rotation.Axis.z trying to set Axis Z

But this didn't seem to work?

Anyway if somebody wants to play with spreadsheets (imagine that) i attached wing2.fcstd where additionally distance between ribs is set based on some simple relations. This is very basic example and much much more can be done if spending a bit more time on it.

Hint: It seems user has to press Apply button twice to fill the cell with data successfully and the same applies to Compute button to get what you are after displayed in 3D view (or alternatively pressing Compute buttons once and after CTRL + R does the same job).

triplus

2014-08-25 02:21

developer  

wing2.png (Attachment missing)

triplus

2014-08-25 02:22

developer  

wing2.fcstd (Attachment missing)

triplus

2015-02-10 01:43

developer   ~0005774

This feature request could be closed as it was requested against current Python Spreadsheet WB.


I didn't test if new C++ spreadsheet WB supports accessing and controlling object Placement properties or not. If it does great if not probably new feature request could be opened to add support as it would probably be confusing to mix single feature request for obsolete/new FreeCAD Spreadsheet WB module.

yorik

2015-02-10 13:49

administrator   ~0005780

Yes indeed... no more work will be done on the current pytyon spreadsheet. I'll close this ticket.

Issue History

Date Modified Username Field Change
2014-08-24 20:51 triplus New Issue
2014-08-24 20:53 triplus File Added: wing.jpg
2014-08-24 20:55 triplus File Added: wing.fcstd
2014-08-24 23:00 yorik Note Added: 0005005
2014-08-24 23:01 yorik Note Edited: 0005005 View Revisions
2014-08-25 02:19 triplus Note Added: 0005006
2014-08-25 02:21 triplus File Added: wing2.png
2014-08-25 02:22 triplus File Added: wing2.fcstd
2015-02-10 01:43 triplus Note Added: 0005774
2015-02-10 13:49 yorik Note Added: 0005780
2015-02-10 13:50 yorik Status new => closed
2015-02-10 13:50 yorik Assigned To => yorik
2015-02-10 13:50 yorik Resolution open => won't fix
2015-02-10 13:50 yorik Fixed in Version => 0.15